exports = module.exports = () => {
    browser.timeouts("script", 30000);

    browser.addCommand("waitForAureliaPage", () => {
        return browser.executeAsync((done) => {
            const routerHook = () => {
                const qs = document.querySelector("[aurelia-app]");
                if (qs) {
                    if (qs.aurelia) {
                        if (!qs.aurelia.WEBDRIVERIO_NAVIGATION_READY) {
                            qs.aurelia.WEBDRIVERIO_NAVIGATION_READY = [];
                            qs.aurelia.WEBDRIVERIO_WAIT_ID = 0;

                            qs.aurelia.subscribe("router:navigation:complete", () => {
                                qs.aurelia.WEBDRIVERIO_NAVIGATION_READY.push(qs.aurelia.WEBDRIVERIO_WAIT_ID);
                            });
                        }
                    }
                }
            };

            if (document.querySelector("[aurelia-app]")) {
                routerHook();
                done();
            } else {
                document.addEventListener("aurelia-composed", () => {
                    routerHook();
                    done();
                });
            }
        });
    });

    browser.addCommand("loadAndWaitForAureliaPage", (url) => {
        return browser
            .url(url)
            .waitForAureliaPage();
    });

    browser.addCommand("waitForRouterComplete", () => {
        let waitId = 0;
        return browser
            .executeAsync((done) => {
                const qs = document.querySelector("[aurelia-app]");
                if (qs) {
                    if (qs.aurelia) {
                        qs.aurelia.WEBDRIVERIO_WAIT_ID++;
                        waitId = qs.aurelia.WEBDRIVERIO_WAIT_ID;
                        done();
                    } else {
                        done();
                    }
                } else {
                    done();
                }
            })
            .waitUntil(() => browser.executeAsync((done) => {
                const qs = document.querySelector("[aurelia-app]");
                if (qs) {
                    if (qs.aurelia) {
                        done(qs.aurelia.WEBDRIVERIO_NAVIGATION_READY &&
                             qs.aurelia.WEBDRIVERIO_NAVIGATION_READY.indexOf(waitId) > 0);
                    } else {
                        done(false);
                    }
                } else {
                    done(false);
                }
            }));
    });
};

/* Generated by UniteJS */
